Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1418783005: Fix possible map::end() dereference in AppCacheUpdateJob triggered by a compromised renderer. (Closed)

Created:
4 years, 1 month ago by gzobqq
Modified:
4 years ago
Reviewers:
michaeln
CC:
darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix possible map::end() dereference in AppCacheUpdateJob triggered by a compromised renderer. BUG=551044 Committed: https://crrev.com/2cb006bc9d3ad16353ed49c2b75faea618156d0f Cr-Commit-Position: refs/heads/master@{#358815}

Patch Set 1 #

Patch Set 2 : Move check to host, add unittest #

Unified diffs Side-by-side diffs Delta from patch set Stats (+56 lines, -30 lines) Patch
M content/browser/appcache/appcache_backend_impl.cc View 1 2 chunks +7 lines, -11 lines 0 comments Download
M content/browser/appcache/appcache_host.h View 1 4 chunks +6 lines, -5 lines 0 comments Download
M content/browser/appcache/appcache_host.cc View 1 4 chunks +28 lines, -12 lines 0 comments Download
M content/browser/appcache/appcache_host_unittest.cc View 1 1 chunk +13 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_update_job.cc View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 9 (3 generated)
gzobqq
Michael, I suppose we'll need a test for this?
4 years, 1 month ago (2015-11-04 15:13:49 UTC) #3
gzobqq
Moved the check to AppCacheHost. Added a test to AppCacheHostTest. Michael, PTAL
4 years, 1 month ago (2015-11-06 13:51:03 UTC) #4
michaeln
lgtm!
4 years ago (2015-11-09 21:53:16 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1418783005/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1418783005/20001
4 years ago (2015-11-10 08:08:39 UTC) #7
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years ago (2015-11-10 10:29:04 UTC) #8
commit-bot: I haz the power
4 years ago (2015-11-10 10:29:47 UTC) #9
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/2cb006bc9d3ad16353ed49c2b75faea618156d0f
Cr-Commit-Position: refs/heads/master@{#358815}

Powered by Google App Engine
This is Rietveld 408576698